Bug 217447 - luci - use of color alone to indicate status may cause accessibility problem (accessibility)
luci - use of color alone to indicate status may cause accessibility problem ...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 17:39 EST by Len DiMaggio
Modified: 2009-04-16 18:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 10:31:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot 1 of 2 (112.38 KB, image/png)
2006-11-27 17:39 EST, Len DiMaggio
no flags Details
Screen shot 2 of 2 (120.94 KB, image/png)
2006-11-27 17:41 EST, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2006-11-27 17:39:28 EST
Description of problem:
luci - use of color alone to indicate status may cause accessibility problem -
when nodes are added to a cluster, but the node is not a cluster participant
(e.g., rgmanager is not running) the status of the node is indicated in red text
- but, there's no other indication of the state of the node.

Version-Release number of selected component (if applicable):
luci-0.8-25.el5

How reproducible:
100%

Steps to Reproduce:
1. Create a new cluster - there may be a 2nd problem here in that rgmanager is
not started - this will be logged in a different bz
2. Observe the state of the cluster - see attachment #1 [details] - we need to add some
text to the node/hostname to indicate each node's state - right now, the
red/green of the text used for the node/hostname indicates its state.
3. See attachment #2 [details] for a more accessible use of color text + a text
description of the state of the node
  
Actual results:
The red text shown in attachment #1 [details]

Expected results:
Red text, plus some text indication of the state of the node

Additional info:
http://www.at.ufl.edu/accessibility/accessibility_cd/AccWeb/color.html
Comment 1 Len DiMaggio 2006-11-27 17:39:28 EST
Created attachment 142238 [details]
Screen shot 1 of 2
Comment 2 Len DiMaggio 2006-11-27 17:41:17 EST
Created attachment 142240 [details]
Screen shot 2 of 2
Comment 3 Jim Parsons 2006-12-12 10:31:53 EST
This will not be addressed for the 5.0 release or the 4.5 release, but will be
addressed in a release soon along with i18n support.

Note You need to log in before you can comment on or make changes to this bug.